//
//  BankRecurringModel.swift
//  Product Calculator
//
//  Created by Suraj Kumar Mandal on 29/11/21.
//

import Foundation

// MARK: - BankRecurringModel
class BankRecurringModel {
    var depositDate, maturityDate : String?
    var term, amountDepositFreq : Int?
    var depositAmount, annualInterest, compundFreq, maturityAmount, totalInterestReceived, totalAmountDeposited : Double?
    var bankRecurringLookupList = [BankRecurringLookupList]()
    
    init(depositDate:String, maturityDate:String, term:Int, amountDepositFreq:Int, depositAmount:Double, annualInterest:Double, compundFreq:Double, maturityAmount:Double, totalInterestReceived:Double, totalAmountDeposited:Double) {
        self.depositDate = depositDate
        self.maturityDate = maturityDate
        self.term = term
        self.amountDepositFreq = amountDepositFreq
        self.depositAmount = depositAmount
        self.annualInterest = annualInterest
        self.compundFreq = compundFreq
        self.maturityAmount = maturityAmount
        self.totalInterestReceived = totalInterestReceived
        self.totalAmountDeposited = totalAmountDeposited
    }
}


class BankRecurringLookupList {
    let serialNo, daysToMaturity : Int?
    let referenceDate, referenceMonth, financialYear : String?
    let openingBal, amountDeposited, interestAccrued, totalInterestAccrued, interestCredited, closingBalance : Double?
    
    init(serialNo:Int, openingBal:Double, amountDeposited:Double, interestAccrued:Double, totalInterestAccrued:Double, interestCredited:Double, daysToMaturity:Int, referenceDate:String, referenceMonth:String, financialYear:String, closingBalance:Double) {
        self.serialNo = serialNo
        self.openingBal = openingBal
        self.amountDeposited = amountDeposited
        self.interestAccrued = interestAccrued
        self.interestCredited = interestCredited
        self.totalInterestAccrued = totalInterestAccrued
        self.daysToMaturity = daysToMaturity
        self.referenceDate = referenceDate
        self.referenceMonth = referenceMonth
        self.financialYear = financialYear
        self.closingBalance = closingBalance
    }
}
