//
//  KisanVikasPatraModel.swift
//  Product Calculator
//
//  Created by Suraj Kumar Mandal on 03/12/21.
//

import Foundation

// MARK: - KisanVikasPatraModel
class KisanVikasPatraModel {
    var depositDate, maturityDate : String?
    var term : Int?
    var depositAmount, annualInterest, compundFreq, maturityAmount, interestReceived, totalInterestReceived, interestCredited : Double?
    var kisanVikasPatraLookupList = [KVPLookupList]()
    
    init(depositDate:String, maturityDate:String, term:Int, depositAmount:Double, annualInterest:Double, compundFreq:Double, maturityAmount:Double, totalInterestReceived:Double, interestReceived:Double, interestCredited:Double) {
        self.depositDate = depositDate
        self.maturityDate = maturityDate
        self.term = term
        self.depositAmount = depositAmount
        self.annualInterest = annualInterest
        self.compundFreq = compundFreq
        self.maturityAmount = maturityAmount
        self.totalInterestReceived = totalInterestReceived
        self.interestReceived = interestReceived
        self.interestCredited = interestCredited
    }
}


class KVPLookupList {
    let serialNo, daysToMaturity : Int?
    let referenceDate, referenceMonth, financialYear : String?
    let openingBal, amountDeposited, interestAccrued, totalInterestReceived, interestReceived, closingBalance, yearOfInvestment, interestRate : Double?
    
    init(serialNo:Int, openingBal:Double, amountDeposited:Double, interestAccrued:Double, totalInterestReceived:Double, interestReceived:Double, daysToMaturity:Int, referenceDate:String, referenceMonth:String, financialYear:String, closingBalance:Double, yearOfInvestment:Double, interestRate:Double) {
        self.serialNo = serialNo
        self.openingBal = openingBal
        self.amountDeposited = amountDeposited
        self.interestAccrued = interestAccrued
        self.interestReceived = interestReceived
        self.totalInterestReceived = totalInterestReceived
        self.daysToMaturity = daysToMaturity
        self.referenceDate = referenceDate
        self.referenceMonth = referenceMonth
        self.financialYear = financialYear
        self.closingBalance = closingBalance
        self.yearOfInvestment = yearOfInvestment
        self.interestRate = interestRate
    }
}
